<script lang="ts">
	import Countdown from './Countdown.svelte'
</script>

<main>
	<div>
		<svg style="width:24px;height:24px" viewBox="0 0 24 24">
			<path fill="currentColor" d="M2,6V8H14V6H2M2,10V12H11V10H2M14.17,10.76L12.76,12.17L15.59,15L12.76,17.83L14.17,19.24L17,16.41L19.83,19.24L21.24,17.83L18.41,15L21.24,12.17L19.83,10.76L17,13.59L14.17,10.76M2,14V16H11V14H2Z" />
		</svg>
		<span></span>
		<svg style="width:24px;height:24px" viewBox="0 0 24 24">
			<path fill="currentColor" d="M19,13H13V19H11V13H5V11H11V5H13V11H19V13Z" />
		</svg>
	</div>
	<Countdown title="Birthday" 				image="birthday cake"		color="brown"/>
	<Countdown title="Pride" 					image="gay guy"				color="blue"/>
	<Countdown title="End of the universe" 		image="End of the universe"	color="orange"/>
	<Countdown title="Rise of the GNU Empire" 	image="penguin"				color="green"/>
	<Countdown title="Death" 					image="death"				color="red"/>
</main>

<style>
	main {
		padding: 1em;
		width: 300px;
		max-width: 100%;
		margin: 0 auto;

		display: grid;
		gap: 1em;
	}

	div {
		display: grid;
		grid-template-columns: auto 1fr auto;
	}

	svg {
		cursor: pointer;
	}
</style>